| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
Terminal Attribute Control Mode Constants

## Variables
const | Qore::CCAR_OFLOW = CCAR_OFLOW
| DCD flow control of output.
const | Qore::CCTS_OFLOW = CCTS_OFLOW
| CTS flow control of output.
const | Qore::CDSR_OFLOW = CDSR_OFLOW
| DSR flow control of output.
const | Qore::CLOCAL = CLOCAL
| ignore modem status lines
const | Qore::CREAD = CREAD
| enable receiver
const | Qore::CRTSCTS = CRTSCTS
| CTS flow control of output and RTS flow control of input.
const | Qore::CRTS_IFLOW = CRTS_IFLOW
| RTS flow control of input.
const | Qore::CS5 = CS5
| character size mask: 5 bits
const | Qore::CS6 = CS6
| character size mask: 6 bits
const | Qore::CS7 = CS7
| character size mask: 7 bits
const | Qore::CS8 = CS8
| character size mask: 8 bits
const | Qore::CSIZE = CSIZE
| character size mask
const | Qore::CSTOPB = CSTOPB
| send 2 stop bits
const | Qore::HUPCL = HUPCL
| hang up on last close
const | Qore::MDMBUF = MDMBUF
| old name for CCAR_OFLOW
const | Qore::PARENB = PARENB
| parity enable
const | Qore::PARODD = PARODD
| odd parity, else even

## Detailed Description

If any of the constants in this group is not defined on the host system, then it will be assigned to 0 in Qore.